export declare enum CommandNames {
    Puge = "PUGE",
    KJLExport = "KJLEXPORT",
    KJLImport = " KJLIMPORT",
    KJLCongfig = "KJLCONFIG",
    KJLMaterialMap = "KJLMATERIALMAP",
    Clearkjltoken = "CLEARKJLTOKEN",
    JiaJuImport = "JIAJUIMPORT",
    CFImport = "CFIMPORT",
    Group = "GROUP",
    DXFImport = "DXF",
    DWGImport = "DWG",
    FBXImport = "FBX",
    Insert = "INSERT",
    Line = "LINE",//直线
    XLine = "XLINE",
    Undo = "UNDO",//撤销
    Redo = "REDO",//重做
    RECTANG = "RECTANG",//矩形
    Polygon = "POLYGON",//多边形
    Circle = "CIRCLE",//圆
    Ellipse = "ELLIPSE",//椭圆
    Spline = "SPLINE",
    Polyline = "POLYLINE",//多段线
    Arc = "ARC",//圆弧
    Reg = "REGION",//面域
    SimplifyPolyline = "SIMPLIFYPOLYLINE",//简化多段线
    Scale = "SCALE",//缩放
    Convert2Polyline = "CONVERT2POLYLINE",//椭圆,样条曲线转曲线
    Move = "MOVE",//移动
    MoveAxis = "MOVEAXIS",
    Rotate = "ROTATE",//旋转
    RotateRefer = "ROTATEREFER",//旋转(参考)
    Revolve = "REVOLVE",//车削实体
    Sphere = "SPHERE",
    SpliteTemplate = "SPLITETEMPLATE",
    SwitchCamera = "SWITCHCAMERA",
    CameraSnapshootSave = "CAMERASNAPSHOOTSAVE",//保存相机状态
    CameraSnapshootSaveIndex = "CAMERASNAPSHOOTSAVEINDEX",//保存相机状态(存放到指定的位置)
    CameraSnapshootRestore = "CAMERASNAPSHOOTRESTORE",//还原相机状态
    Zoome = "ZOOME",
    Erase = "ERASE",
    EraseNoSelect = "ERASENOSELECT",
    Break = "BREAK",
    BreakAll = "BREAKALL",
    DragGrip = "DRAGGRIP",
    Stretch = "STRETCH",
    SelectStretch = "SELECTSTRETCH",
    ZoomObject = "ZOOMOBJECT",
    FS = "TOPVIEW",
    QS = "FRONTVIEW",
    YS = "RIGHTVIEW",
    ZS = "LEFTVIEW",
    BackView = "BACKVIEW",
    BottomView = "BOTTOMVIEW",
    FixView = "FIXVIEW",
    Swiso = "SWISO",
    HideSelect = "HIDESELECT",
    HideUnSelect = "HIDEUNSELECT",
    Show = "SHOW",
    Save = "SAVE",
    SaveAs = "SAVEAS",
    SaveToLocal = "SAVETOLOCAL",
    SaveToDxf = "SAVETODXF",
    New = "NEW",
    Open = "OPEN",
    Reopen = "REOPEN",
    OpenHistory = "OPENHISTORY",
    OpenHistory2 = "OPENHISTORY2",
    CustomUCS = "UCS",
    Copy = "COPY",
    SuperCopy = "SUPERCOPY",
    Reverse = "REVERSE",
    Extend = "EXTEND",
    Trim = "TRIM",
    Fillet = "FILLET",
    Offset = "OFFSET",
    PointLight = "POINTLIGHT",
    SpotLight = "SPOTLIGHT",
    SpotLight2 = "SPOTLIGHT2",
    RectLight = "RECTLIGHT",
    BatchModifyLights = "BATCHMODIFYLIGHTS",
    Divide = "DIVIDE",
    Point = "POINT",
    AlignDim = "ALGINDIMEN",
    LinearDim = "LINEARDIMEN",
    AngleDim = "ANGLEDIM",
    DimContinue = "CONTINUEDIM",
    RadiusDim = "RADIUSDIM",
    DimArc = "DIMARC",
    DiaDim = "DIAMETERDIMEN",
    HideDim = "HIDEDIM",
    ShowDim = "SHOWDIM",
    Text = "TEXT",
    Intersect = "INTERSECT",
    Union = "UNION",
    Substract = "SUBSTRACT",
    Pedit = "PEDIT",
    Join = "JOIN",
    Sweep = "SWEEP",
    Cylineder = "CYLINEDER",
    LRBoard = "LEFTRIGHTBOARD",
    TBBoard = "TOPBOTTOMBOARD",
    BehindBoard = "BEHINDBOARD",
    SelectThinBehindBoard = "SELECTTHINBEHINDBOARD",
    LayerBoard = "LAYERBOARD",
    VertialBoard = "VERTIALBOARD",
    SingleBoard = "SINGLEBOARD",
    CloseStrip = "CLOSESTRIP",
    Door = "DOOR",
    DrillConfig = "DRILLCONFIG",
    Hole = "DRAWHOLE",
    YiXing = "YIXING",
    YXLK = "YIXINGCONTOUR",//异形轮廓应用
    ZXLK = "ZAOXINGCONTOUR",//造型轮廓应用
    Model2Contour = "MODEL2CONTOUR",//二维刀路轮廓应用
    LinearCutting = "LINEARCUTTING",
    RectLinearCutting = "RECTLINEARCUTTING",
    NonAssociativeCutting = "NONASSOCIATIVECUTTING",
    ReferenceCutting = "REFERENCECUTTING",
    AddPtOnBoard = "ADDPTONBOARD",
    DeletePtOnBoard = "DELETEPTONBOARD",
    BoardFindModify = "BOARDFINDMODIFY",
    LookOverBoardInfos = "LOOKOVERBOARDINFOS",//BBS
    BoardBatchCurtail = "BOARDBATCHCURTAIL",
    AutoDimBrs = "AUTODIMBRS",
    BoardInfoDim = "BOARDINFODIM",
    FastDimBrs = "FASTDIMBRS",
    BreakDim = "BREAKDIM",
    DeleteDim = "DELETEDIM",
    DeleteMinDim = "DELETEMINDIM",
    RotateLayerBoard = "ROTATELAYERBOARD",
    Drawer = "DRAWER",
    DeleteHole = "DELETEHOLE",
    ReverseDrillFace = "REVERSEDRILLFACE",
    FZWL = "FZWL",
    ActicityLayerBoard = "ACTICITYLAYERBOARD",
    TestFb = "TESTFENGBIAN",
    TestModeling = "TESTMODELING",
    Mirror = "MIRROR",
    Topline = "TOPLINE",
    Winerack = "WINERACK",
    Drawwinerack = "DRAWWINERACK",
    Editorwinerack = "EDITORWINERACK",
    Lattice = "LATTICE",
    Array = "ARRAY",
    ComanPanel = "COMMANDPANEL",
    Comanp = "COMANP",
    PropertiesBar = "PROPERTIESBAR",
    ModuleBar = "MODULEBAR",
    ChangeLayout = "CHANGELAYOUT",
    RightPanelTemplateParam = "RIGHTPANELTEMPLATEPARAM",
    RightPanelScene = "RIGHTPANELSCENE",
    RightPanelMaterial = "RIGHTPANELMATERIAL",
    RightPanelModel = "RIGHTPANELMODEL",
    RightPanelModel2 = "RIGHTPANELMODEL2",
    RightPanelModel3 = "RIGHTPANELMODEL3",
    RightPanelMetals = "RIGHTPANELMETALS",
    RightPanelModule = "RIGHTPANELMODULE",
    Config = "CONFIG",
    Enablesyncdata = "ENABLESYNCDATA",
    DimStyle = "DIMSTYLE",
    TextStyle = "TEXTSTYLE",
    ToggleDrillingReactor = "TOGGLEDRILLINGREACTOR",
    AddAloneDrillLock = "ADDALONEDRILLLOCK",
    AddAssocDrillLock = "ADDASSOCDRILLLOCK",
    RemoveAloneDrillLock = "REMOVEALONEDRILLLOCK",
    RemoveAssocDrillLock = "REMOVEASSOCDRILLLOCK",
    RemoveDrillLock = "REMOVEDRILLLOCK",
    Esc = "ESC",
    Wireframe = "WIREFRAME",
    Conceptual = "CONCEPTUAL",
    ConceptualTransparent = "CONCEPTUALTRANSPARENT",
    BigHoleFace = "BIGHOLEFACE",
    Physical = "PHYSICAL",
    Physical2 = "PHYSICAL2",
    PrintType = "PRINTTYPE",
    DownloadHoleOption = "DOWNHOLECONFIG",
    UploadHoleConfig = "UPLOADHOLECONFIG",
    ChaiDan = "CHAIDAN",
    ChaiDanJB = "CHAIDANJIABEI",
    ShowYouhua = "SHOWYOUHUA",
    Decompose = "DECOMPOSE",
    ChaiDanExport = "CHAIDANEXPORT",
    BatchModify = "BATCHMODIFY",//修改板边(排钻+封边)
    EditDrilEdgeData = "EDITDRILEDGEDATA",//编辑排钻边
    EditSealEdgeData = "EDITSEALEDGEDATA",//编辑封边边
    AutoHoleFaceSetting = "AUTOHOLEFACESETTING",
    Combine = "COMBINE",
    RenderModulesState = "RENDERMODULESSTATE",
    Template = "TEMPLATE",
    TemplateDesign = "TEMPLATEDESIGN",
    TemplateCollection = "TEMPLATECOLLECTION",
    TemplateSearch = "TEMPLATESEARCH",
    TemplateDelete = "TEMPLATEDELETE",
    TemplateCheck = "TEMPLATECHECK",
    RotateTemplate = "ROTATETEMP",
    Print = "PRINT",
    Extrude = "EXTRUDE",
    HoleTemplate = "HOLETEMPLATE",
    CheckModeling = "CHECKMODELING",
    ExportData = "EXPORTDATA",
    ExportView = "EXPORTVIEW",
    EnableSyncData = "ENABLESYNCDATA",
    DisableSyncData = "DISABLESYNCDATA",
    ToggleSyncData = "TOGGLESYNCDATA",
    ToggleViewFollow = "TOGGLEVIEWFOLLOW",//渲染器视角跟随
    ShowProcessingGroupModal = "SHOWPROCESSINGGROUPMODAL",
    查看加工组 = "\u67E5\u770B\u52A0\u5DE5\u7EC4",
    添加加工组 = "\u6DFB\u52A0\u52A0\u5DE5\u7EC4",
    删除加工组 = "\u5220\u9664\u52A0\u5DE5\u7EC4",
    DrawVSBOX = "DRAWVSBOX",
    Align = "ALIGN",
    BuyMaterial = "BUYMATERIAL",
    Interfere = "INTERFERE",
    ShowDoor = "SHOWDOOR",
    HideDoor = "HIDEDOOR",
    ShowDrawer = "SHOWDRAWER",
    HideDrawer = "HIDEDRAWER",
    Curve2Rect = "CURVE2RECT",
    Pl2Br = "RECT2BOARD",
    Curve2VSBox = "CURVE2VSBOX",
    templateDelete = "TEMPLATEDELETE",
    RotateTemplateSpace = "ROTATETEMPLATESPACE",
    SplitTemplateY = "SPLITTEMPLATEY",
    Attach = "ATTACH",
    Attach2 = "ATTACH2",
    TemplateArray = "TEMPLATEARRAY",
    SetSmoothEdge = "SETSMOOTHEDGE",
    ClearRef = "CLEARRELEVANCE",
    Clear2DModeling = "CLEAR2DMODELING",
    ExportObj = "EXPORTOBJ",
    ExportobjMtl = "EXPORTOBJMTL",
    ExportObj2 = "EXPORTOBJ2",
    ExportSTL = "EXPORTSTL",
    UpdateBoardInfos = "UPDATEBOARDINFOS",
    ToggleUI = "TOGGLEUI",
    BoardReplaceTempate = "BOARDREPLACETEMPLATE",
    Dist = "DIST",
    Length = "LENGTH",
    Explode = "EXPLODE",
    Explosion = "EXPLOSIONMAP",
    OpenCabinet = "OPENCABINET",
    CopyClip = "COPYCLIP",
    CopyBase = "COPYBASE",
    PasteClip = "PASTECLIP",
    Text2Curve = "TEXT2CURVE",
    DeleteCurve = "DELETECURVE",
    EraseLineArc = "ERASELINEARC",
    Area = "AREA",
    R2b = "RECT2BOARD",
    RecyleBin = "RECYCLEBIN",
    ChangeColorByMaterial = "CHANGECOLORBYMATERIAL",//根据板材改颜色
    ChangeColorByRoomOrCabinet = "CHANGECOLORBYRROOMORCABINET",//根据房间名及柜名修改颜色
    ChangeBoardColorByPBFace = "CHANGEBOARDCOLORBYPBFACE",//根据排版面改颜色
    TextModifyTool = "TEXTMODIFYTOOL",//批量替换文字
    RestoreColor = "RESTORECOLOR",
    SelectAll = "SELECTALL",
    SelectBoard = "SELBOARD",
    SelectCurve = "SELCURVE",
    SelectDim = "SELDIM",
    SelectText = "SELTEXT",
    CheckHoles = "CHECKHOLES",
    CombinatAttributeBrush = "COMBINATATTRIBUTEBRUSH",//复合实体刷
    MatchProp = "MATCHPROP",//特性属性刷
    Rect2Winerack = "RECT2WINERACK",//矩形变酒格
    EditView = "EDITVIEW",//编辑视口
    EditFrame = "EDITFRAME",//编辑图框
    MView = "MVIEW",//添加视口
    MView4 = "MVIEW4",
    MView2 = "MVIEW2",
    MView3 = "MVIEW3",
    ShowFrame = "SHOWFRAME",//显示图框管理界面
    UnGroup = "UNGROUP",
    OneKeyLayout = "ONEKEYLAYOUT",
    SwitchLines = "SWITCHLINES",
    SwitchOpenDirLines = "SWITCHOPENDIRLINES",//切换开门方向纹路
    OneKeyPrint = "ONEKEYPRINT",//一键打印
    SetHoleNoneType = "SETHOLENONETYPE",
    FindMaxSizeBoard = "FINDMAXSIZEBOARDS",
    FindMinSizeBoard = "FINDMINSIZEBOARDS",
    FindBoardModelingKnife = "FINDBOARDMODELINGKNIFE",
    CheckNoHoleBoard = "CHECKNOHOLEBOARD",
    CheckDrawHole = "CHECKDRAWHOLE",
    FindModelKnifeRadius = "FINDMODELKNIFERADIUS",
    EditorBBS = "EDITORBBS",//编辑BBS
    CuttingFace = "CUTTINGFACE",//切割面
    CuttingRectFace = "CUTTINGRECTFACE",//切割矩形面
    DrawTempByImport = "DRAWTEMPBYIMPORT",
    CheckEdge = "CHECKEDGE",//封边检查
    CheckPlaceFace = "CHECKPLACEFACE",//排版面视觉样式显示
    ModelGroove = "MODELGROOVE",//造型槽
    VisualStyle_CustomNumber = "VSCUSTOMNUMBER",//自定义编号视觉样式
    CustomNumber = "CUSTOMNUMBER",//自定义编号UI
    CleanCustomNumber = "CLEANCUSTOMNUMBER",//清除自定义编号
    Knife = "KNIFES",//刀具管理
    ModifyGroovesKnife = "MODIFYGROOVESKNIFE",//修改凹槽加长 宽 深 刀半径
    R2B2 = "RECT2BOARD2",
    FixIntSelfContour = "FIXINTSELFCONTOUR",
    ParseHinge = "PARSEHINGE",//分析门板的铰链
    ParseHandle = "PARSEHANDLE",//分析门板的拉手
    ZhengWen = "ZHENGWEN",
    FanWen = "FANWEN",
    KeFanZuan = "KEFANZUAN",
    ZhengMian = "ZHENGMIAN",//排版面 正面
    FanMian = "FANMIAN",//排版面 反面
    SuiYiMian = "SUIYIMIAN",//排版面 随意
    BackgroundSwitching = "BACKGROUNDSWITCHING",//背景切换
    Renderer = "RENDERER",//渲染
    ShowHSPanel = "SHOWHIDESELECT",
    BatchModifyPanel = "BATCHMODIFYPANEL",
    EditorboardTemplate = "EDITORBOARDTEMPLATE",
    ParseBoardName = "PARSEBOARDNAME",
    SetBRXAxis = "SETBRXAXIS",
    ResetCustomCommand = "RESETCUSTOMCOMMAND",//重置快捷键列表
    EditorLattice = "EDITORLATTICE",
    DownloadConfig = "DOWNLOADCONFIG",
    UploadConfig = "UPLOADCONFIG",
    TestM = "TESTM",//模拟走刀
    TestFB = "TESTFB",//模拟封边
    FlipZMatrix = "FLIPZMATRIX",//Z向量翻转 对Arc Circle Polyline Line进行翻转 Z轴方向相反,图形保持不变
    SetLineOCS = "SETLINEOCS",//设置直线的UCS
    Z0 = "Z0",
    M0 = "M0",
    PackageGroupMove0 = "PACKAGEGROUPMOVE0",
    ApplyMtl = "APPLYMTL",//应用材质
    封边属性编辑 = "\u5C01\u8FB9\u5C5E\u6027\u7F16\u8F91",
    板边备注编辑 = "\u677F\u8FB9\u5907\u6CE8\u7F16\u8F91",
    排钻属性编辑 = "\u6392\u94BB\u5C5E\u6027\u7F16\u8F91",
    SwitchServers = "SWITCHSERVERS",
    Replace = "\u91CD\u65B0\u653E\u7F6E\u6A21\u578B",
    Down = "DOWN",
    AxesDisable = "AXESDISABLE",//取消Gizmo
    AxesTranslate = "AXESTRANSLATE",//移动坐标
    AxesRotate = "AXESROTATE",//旋转坐标
    AxesScale = "AXESSCALE",//缩放坐标
    GizmoCSSwith = "GIZMOCSSWITH",
    DrawWall = "DRAWWALL",
    DrawWallInside = "DRAWWALLINSIDE",
    DrawRectWall = "DRAWRECTWALL",
    Curve2Wall = "CURVE2WALL",
    SetWallThick = "SETWALLTHICK",
    DrawIHole = "DRAWIHOLE",
    DrawLHole = "DRAWLHOLE",
    DrawUHole = "DRAWUHOLE",
    DrawIDoor = "DRAWIDOOR",//画门
    DrawIWindow = "DRAWIWINDOW",
    DrawLWindow = "DRAWLWINDOW",
    DrawUWindow = "DRAWUWINDOW",//弧形U型窗
    DrawUWindow2 = "DRAWUWINDOW2",//圆角U型窗
    DrawDoorHole = "DRAWDOORHOLE",//画门洞
    YZC = "YIZHICHUANG",//一字窗
    LDC = "LUODICHUANG",//落地窗
    PC = "PIAOCHUANG",//飘窗
    ZJC = "ZHUANJIAOCHUANG",//转角窗
    ZJPC = "ZHUANJIAOPIAOCHUANG",//转角飘窗
    YJHM = "YIJIANHUAMEN",//一键画门
    HeadCeilingContour = "HEADCEILINGCONTOUR",//吊顶轮廓模板
    HeadCeilingMaterialPanel = "HEADCEILINGMATERIALPANEL",//吊顶截面轮廓材质面板
    HeadCeilingInfoConfigPanel = "HEADCEILINGINFOCONFIGPANEL",//吊顶轮廓面板
    Gallery = "GALLERY",//打开画廊
    Freeze = "FREEZE",//冻结实体
    UnFreeze = "UNFREEZE",//解冻实体
    ShareView = "SHAREVIEW",//分享图纸(只读模式)
    VisibleInRender = "VISIBLEINRENDER",//渲染器中显示实体
    UnVisibleInRender = "UNVISIBLEINRENDER",//渲染器中隐藏实体
    SendCADFileToKF = "SENDCADFILETOKF",//发送当前文件给在线售后
    Show2DPathLine = "SHOW2DPATHLINE",//显示二维刀路路径
    Hide2DPathLine = "HIDE2DPATHLINE",//隐藏二维刀路路径
    Show2DPathObject = "SHOW2DPATHOBJECT",//显示二维刀路差集
    Hide2DPathObject = "HIDE2DPATHOBJECT",//隐藏二维刀路差集
    PickUp2DModelCsgs = "PICKUP2DMODELCSGS",//提取二维刀路的刀具轮廓
    TemplateGroup = "TEMPLATEGROUP",//模块组合
    Modeling = "MODELING"
}
//# sourceMappingURL=CommandNames.d.ts.map